Subject: Why we stopped our communication? "I expected more, Olga!

From: Elena <[email-masked]>
Date: Tue, 2 Feb 2010 00:45:19 -0800 (PST)

Greetings - send me your photos where you are naked - I was so excited,
my you look at my site in your profile - added new pictures today!
Click here